#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x20574e54, "module_layout" },
	{ 0x55bab567, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8c246c2b, "usb_register_driver" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x84dbe9f, "scsi_add_host_with_dma" },
	{ 0x55869703, "_dev_warn" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xad9adc20, "scsi_host_alloc" },
	{ 0x4e1cd4c2, "usb_stor_adjust_quirks" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x27e17a14, "usb_unlink_urb" },
	{ 0xcb7c4225, "sdev_prefix_printk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd941d150, "usb_unanchor_urb" },
	{ 0x6b9c4c4, "kmem_cache_alloc_trace" },
	{ 0x3b6facc6, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5dffc70a, "usb_submit_urb" },
	{ 0xd183b5fe, "usb_anchor_urb" },
	{ 0x4457055, "usb_alloc_urb" },
	{ 0x77b2897a, "blk_queue_max_hw_sectors" },
	{ 0x3691f59f, "blk_queue_update_dma_alignment" },
	{ 0x8dee4344, "__dynamic_dev_dbg" },
	{ 0xeec51b12, "scsi_scan_host" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x75d3fd12, "usb_lock_device_for_reset" },
	{ 0x90688c49, "scsi_host_put" },
	{ 0x5b5f8c08, "scsi_remove_host" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5850110, "printk" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xd98e07e5, "usb_kill_urb" },
	{ 0xba94505a, "usb_get_urb" },
	{ 0x2327828a, "scsi_print_command" },
	{ 0xb8c698d5, "scmd_printk" },
	{ 0x5a872aa6, "scsi_report_bus_reset" },
	{ 0xd5895ee8, "usb_alloc_streams" },
	{ 0x6def5e48, "scsi_change_queue_depth" },
	{ 0x477191e6, "scsi_is_host_device" },
	{ 0x4ccac51a, "_dev_err" },
	{ 0x74096753, "usb_free_urb" },
	{ 0xceba5d2f, "scsi_unblock_requests" },
	{ 0x8d668e11, "dev_printk" },
	{ 0x22d842a2, "scsi_block_requests" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8caca143, "usb_reset_device" },
	{ 0xa1f0e8d9, "usb_set_interface" },
	{ 0x15af7f4, "system_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xe65b71c1, "usb_free_streams" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,scsi_mod,usb-storage";

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "47890C34056A676F1DEC17A");

MODULE_INFO(suserelease, "SLE15-SP3");
