#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x20574e54, "module_layout" },
	{ 0x3b6facc6, "kmalloc_caches" },
	{ 0x7d0a1974, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xc248d1fb, "snd_hda_gen_free" },
	{ 0xe5864830, "snd_hda_codec_get_pin_target" },
	{ 0xdb3486ea, "snd_hda_mixer_amp_volume_put" },
	{ 0xcc83b9c5, "snd_hda_input_mux_info" },
	{ 0xc24cb56e, "snd_hda_gen_parse_auto_config" },
	{ 0xf8577ef5, "snd_hda_apply_fixup" },
	{ 0xdd639215, "snd_hda_pick_fixup" },
	{ 0xb42888a4, "snd_hda_mixer_amp_tlv" },
	{ 0x4a31b59, "snd_hda_gen_build_pcms" },
	{ 0x57671863, "snd_hda_jack_unsol_event" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x481b1501, "snd_hda_gen_update_outputs" },
	{ 0x49332104, "snd_hda_get_path_from_idx" },
	{ 0x44c74e20, "snd_hda_mixer_amp_volume_get" },
	{ 0x3d143b98, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0x9f1872b7, "snd_hda_gen_check_power_status" },
	{ 0xa046464e, "snd_hda_codec_set_pin_target" },
	{ 0x516fdbe2, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xea472d80, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x34d61f96, "snd_hda_activate_path" },
	{ 0xdd858043, "snd_hda_gen_init" },
	{ 0xbe328fdc, "snd_hda_parse_pin_defcfg" },
	{ 0x3dd5b8ad, "snd_hda_jack_set_gating_jack" },
	{ 0x23a11611, "__hda_codec_driver_register" },
	{ 0x4ff627c0, "snd_hda_override_amp_caps" },
	{ 0xda1939f9, "snd_ctl_boolean_mono_info" },
	{ 0x980a7565, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x42024334, "_snd_hdac_read_parm" },
	{ 0x8cbf169d, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xdb259a37, "snd_hda_gen_reboot_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b9c4c4, "kmem_cache_alloc_trace" },
	{ 0x8dee4344, "__dynamic_dev_dbg" },
	{ 0x378e0b7b, "snd_hda_gen_add_kctl" },
	{ 0x54f9d9, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x82025aa1, "snd_hdac_codec_write" },
	{ 0x98bd9c89, "snd_hda_add_new_path" },
	{ 0xd1926b41, "hda_codec_driver_unregister" },
	{ 0x7cf748f8, "snd_hda_mixer_amp_switch_info" },
	{ 0xdc3a67b5, "snd_hda_gen_spec_init" },
	{ 0xe832a903, "snd_hda_jack_detect_state_mst" },
	{ 0x2017eba, "snd_hdac_regmap_read_raw" },
	{ 0x9784d834, "snd_hda_mixer_amp_volume_info" },
	{ 0x85a4c49a, "query_amp_caps" },
	{ 0x24574e77, "snd_hda_gen_mic_autoswitch" },
	{ 0xefa8eeef, "snd_hda_gen_build_controls" },
	{ 0x1faaa1cd, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "2B97A10F91CDAEF390D294B");

MODULE_INFO(suserelease, "SLE15-SP3");
